<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript Discussion</title>
</head>
<body>
    <script type="text/JavaScript" src="./index.js">

        // in html, the <script> tag is used to embed or reference external JavaScript
        //     within an html document
            
        alert("Hi, B297! Welcome to the Backend Course!");

        // where should I place script tags?
        // script tags can go anywhere on the page
        //but the best practice is at the end of the body 


        // where to place JS?
        //inline - within the html
        //external - separate file

            
    </script>
    
</body>
</html>